# HttpCondition

Extends \ProjectComponent Implements \Condition

Condition to wait for a HTTP request to succeed.

Attributes are:

- url - the URL of the request.
- errorsBeginAt - number at which errors begin at; default=400.

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing.tasks.system.condition

### Methods

## __construct

    __construct()

## evaluate

    evaluate() : true

throws | if an error occurs

### Response

`true`

if the HTTP request succeeds

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Set the errorsBeginAt attribute.

    setErrorsBeginAt(string $errorsBeginAt) : void

### Arguments

#### $errorsBeginAt

`string`

number at which errors begin at, default is 400

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Set the url attribute.

    setUrl(string $url) : void

### Arguments

#### $url

`string`

the url of the request

### Properties

## errorsBeginAt

    errorsBeginAt :

### Type(s)

``

## url

    url :

### Type(s)

``

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`